.\" Man page generated from reStructuredText.
.
.TH "S3QL_VERIFY" "1" "Jan 03, 2021" "3.7.0" "S3QL"
.SH NAME
s3ql_verify \- Verify data in an S3QL file system
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
s3ql_verify [options] <storage url>
.ft P
.fi
.UNINDENT
.UNINDENT
.SH DESCRIPTION
.sp
S3QL is a file system for online data storage. Before using S3QL, make
sure to consult the full documentation (rather than just the man pages
which only briefly document the available userspace commands).
.sp
The \fBs3ql_verify\fP command verifies all data in the file system.  In
contrast to \fBfsck.s3ql\fP, \fBs3ql_verify\fP does not trust the object
listing returned by the backend, but actually attempts to retrieve
every object. It therefore takes a lot longer.
.sp
The format of \fB<storage url>\fP depends on the backend that is
used. The S3QL User\(aqs Guide should be consulted for a description of
the available backends.
.SH OPTIONS
.sp
The \fBs3ql_verify\fP command accepts the following options.
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.TP
.BI \-\-log \ <target>
Destination for log messages. Specify \fBnone\fP for
standard output or \fBsyslog\fP for the system logging
daemon. Anything else will be interpreted as a file
name. Log files will be rotated when they reach 1 MiB,
and at most 5 old log files will be kept. Default:
\fBNone\fP
.TP
.BI \-\-debug\-modules \ <modules>
Activate debugging output from specified modules (use
commas to separate multiple modules). Debug messages
will be written to the target specified by the
\fB\-\-log\fP option.
.TP
.B \-\-debug
Activate debugging output from all S3QL modules. Debug
messages will be written to the target specified by
the \fB\-\-log\fP option.
.TP
.B \-\-quiet
be really quiet
.TP
.B \-\-version
just print program version and exit
.TP
.BI \-\-cachedir \ <path>
Store cached data in this directory (default:
\fB~/.s3ql)\fP
.TP
.BI \-\-backend\-options \ <options>
Backend specific options (separate by commas). See
backend documentation for available options.
.TP
.BI \-\-authfile \ <path>
Read authentication credentials from this file
(default: \fB~/.s3ql/authinfo2)\fP
.TP
.BI \-\-missing\-file \ <name>
File to store keys of missing objects.
.TP
.BI \-\-corrupted\-file \ <name>
File to store keys of corrupted objects.
.TP
.B \-\-data
Read every object completely, instead of checking just
the metadata.
.TP
.BI \-\-parallel \ PARALLEL
Number of connections to use in parallel.
.TP
.BI \-\-start\-with \ <n>
Skip over first <n> objects and with verifying object
<n>+1.
.UNINDENT
.UNINDENT
.UNINDENT
.SH EXIT CODES
.sp
\fBs3ql_verify\fP may terminate with the following exit codes:
.INDENT 0.0
.TP
.B 0
Everything went well.
.TP
.B 1
An unexpected error occured. This may indicate a bug in the
program.
.TP
.B 2
Invalid command line argument or configuration file key.
.TP
.B 3
Invalid backend option.
.TP
.B 10
Could not open log file for writing.
.TP
.B 11
No such backend.
.TP
.B 12
Authentication file has insecure permissions.
.TP
.B 13
Unable to parse proxy settings.
.TP
.B 14
Invalid credentials (Authentication failed).
.TP
.B 15
No permission to access backend (Authorization denied).
.TP
.B 16
Invalid storage URL, specified location does not exist in backend.
.TP
.B 17
Wrong file system passphrase.
.TP
.B 18
No S3QL file system found at given storage URL.
.TP
.B 19
Unable to connect to backend, can\(aqt resolve hostname.
.TP
.B 32
Unsupported file system revision (too old).
.TP
.B 33
Unsupported file system revision (too new).
.TP
.B 45
Unable to access cache directory.
.TP
.B 46
The file system data was verified, and some objects were found
to be missing or corrupted.
.UNINDENT
.SH SEE ALSO
.sp
The S3QL homepage is at \fI\%https://github.com/s3ql/s3ql/\fP\&.
.sp
The full S3QL documentation should also be installed somewhere on your
system, common locations are \fB/usr/share/doc/s3ql\fP or
\fB/usr/local/doc/s3ql\fP\&.
.SH COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>
.\" Generated by docutils manpage writer.
.
